--- base/utils.c?revision=1.239	2009-02-27 12:10:02.000000000 +0100
+++ base/utils.c	2009-02-27 11:51:59.000000000 +0100
@@ -433,6 +433,7 @@
 
 	/* execute the command in the child process */
         if (pid==0){
+		int flags;
 
 		/* become process group leader */
 		setpgid(0,0);
@@ -449,6 +450,9 @@
 
 		/* close pipe for reading */
 		close(fd[0]);
+		flags = fcntl(fd[1], F_GETFD, 0);
+		flags |= FD_CLOEXEC;
+		fcntl(fd[1], F_SETFD, flags);
 
 		/* trap commands that timeout */
 		signal(SIGALRM,my_system_sighandler);
